# -*- coding: utf-8 -*-
"""
Created on Tue Apr 29 16:53:45 2014
Final Edit on Wed Sep 9 11:05:30 2015

@authors: Tim Mcdonanld and Anthony Supino
            Electro Magnetic Applications
"""
import numpy as np
import matplotlib.pylab as plt
    
def plotter(fignum,xdata1,ydata1,
            xdata2,ydata2,
            xaxisname,yaxisname,
            namer,label1,label2):
    plt.figure(fignum)
    plt.xlabel(xaxisname)
    plt.ylabel(yaxisname)
    plt.title(namer)
    plt.grid(which='both')
    plt.plot(xdata1,ydata1,xdata2,ydata2)
    
    plt.legend((label1,label2))
    #plt.savefig(filer)
    plt.show(fignum)
    #plt.close(fignum)
    return

def smooth(a, n=3) :
    ret = np.cumsum(a, dtype=float)
    ret[n:] = ret[n:] - ret[:-n]
    return ret[n - 1:] / n
    
def main():
    #read scope data    
    inj_t_tsp =     np.loadtxt('injected_tsp_current.dat',usecols=[0])
    inj_tsp =   np.genfromtxt('injected_tsp_current.dat',usecols=[1]) * -10000 #in mA
    t_tsp =     np.loadtxt('measVoltage.dat',usecols=[0])
    v_tsp =     np.genfromtxt('measVoltage.dat',usecols=[1])
    v_tsp =     (v_tsp-np.mean(v_tsp[1:50]))*1000 #in mV, and removing DC offset

    #remove negative time records
    t_tsp = -np.min(t_tsp) + t_tsp

    #start at zero
    inj_tsp[0] = 0.0
    
    #read ema3d results
    t_tsp_sim = np.loadtxt('voltage.dat',usecols=[0]) 
    v_tsp_sim = np.loadtxt('voltage.dat',usecols=[1]) * 1000 #in mV

    #Plotter 
    plotter(1,t_tsp, v_tsp, t_tsp_sim, v_tsp_sim,'Time (s)',
            'Voltage (mV)','Open Circuit Voltage (TSP)','Measurement','Simulation')
    #plotter(1,t_tst, v_tst, t_tst_sim, v_tst_sim,'Time (s)',
     #       'Current (mA)','Open Circuit Voltage (TST)','Measurement','Simulation')
          
if __name__ == "__main__":
    main()

        
